--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      icons.lua - Icons
--
--      (c) Copyright 2005 by Kimmo Merikivi
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


--Dwarves
--===================

DefineIcon({
  Name = "icon-dwarves-worker",
  Size = {46, 38},
  Index = 0,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-warrior",
  Size = {46, 38},
  Index = 1,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-scout",
  Size = {46, 38},
  Index = 2,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-town-center",
  Size = {46, 38},
  Index = 3,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-guard-tower",
  Size = {46, 38},
  Index = 4,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-cottage",
  Size = {46, 38},
  Index = 5,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-blacksmith",
  Size = {46, 38},
  Index = 6,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-lumber-mill",
  Size = {46, 38},
  Index = 7,
  File = "icons/dwarves-icons.png"})
 DefineIcon({
  Name = "icon-dwarves-market",
  Size = {46, 38},
  Index = 8,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-raven",
  Size = {46, 38},
  Index = 9,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-level2",
  Size = {46, 38},
  Index = 10,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-bowman",
  Size = {46, 38},
  Index = 11,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-town-hall",
  Size = {46, 38},
  Index = 12,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-swordman",
  Size = {46, 38},
  Index = 13,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-advanced-worker",
  Size = {46, 38},
  Index = 14,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-something",
  Size = {46, 38},
  Index = 15,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-farm",
  Size = {46, 38},
  Index = 16,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-agriculture",
  Size = {46, 38},
  Index = 17,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-steel",
  Size = {46, 38},
  Index = 18,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-barracks",
  Size = {46, 38},
  Index = 19,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-advanced-warrior",
  Size = {46, 38},
  Index = 20,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-stone-working",
  Size = {46, 38},
  Index = 21,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-axe1",
  Size = {46, 38},
  Index = 22,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-armor1",
  Size = {46, 38},
  Index = 23,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-wall",
  Size = {46, 38},
  Index = 24,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-boat",
  Size = {46, 38},
  Index = 25,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-ships",
  Size = {46, 38},
  Index = 26,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-shipyard",
  Size = {46, 38},
  Index = 27,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-level3",
  Size = {46, 38},
  Index = 28,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-advanced-bowman",
  Size = {46, 38},
  Index = 29,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-bows",
  Size = {46, 38},
  Index = 30,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-crossbowman",
  Size = {46, 38},
  Index = 31,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-crossbow",
  Size = {46, 38},
  Index = 32,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-ballista",
  Size = {46, 38},
  Index = 33,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-axe2",
  Size = {46, 38},
  Index = 34,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-warrior-hero",
  Size = {46, 38},
  Index = 35,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-spearman",
  Size = {46, 38},
  Index = 36,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-swords",
  Size = {46, 38},
  Index = 37,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-spears",
  Size = {46, 38},
  Index = 38,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-bowman-hero",
  Size = {46, 38},
  Index = 39,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-bunker",
  Size = {46, 38},
  Index = 40,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-city-hall",
  Size = {46, 38},
  Index = 41,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-temple",
  Size = {46, 38},
  Index = 42,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-level4",
  Size = {46, 38},
  Index = 43,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-armor2",
  Size = {46, 38},
  Index = 44,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-swords2",
  Size = {46, 38},
  Index = 45,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-axe3",
  Size = {46, 38},
  Index = 46,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-bows2",
  Size = {46, 38},
  Index = 47,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-arrows",
  Size = {46, 38},
  Index = 48,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-food",
  Size = {46, 38},
  Index = 49,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-arrows2",
  Size = {46, 38},
  Index = 50,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-spears",
  Size = {46, 38},
  Index = 51,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-daggers",
  Size = {46, 38},
  Index = 52,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-axes",
  Size = {46, 38},
  Index = 53,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-shields",
  Size = {46, 38},
  Index = 54,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-better-helmets",
  Size = {46, 38},
  Index = 55,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-healer",
  Size = {46, 38},
  Index = 56,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-healing",
  Size = {46, 38},
  Index = 57,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-fury",
  Size = {46, 38},
  Index = 58,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-lord",
  Size = {46, 38},
  Index = 59,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-crossbowman-hero",
  Size = {46, 38},
  Index = 60,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-heros-guild",
  Size = {46, 38},
  Index = 61,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-spearman-hero",
  Size = {46, 38},
  Index = 62,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-mining-post",
  Size = {46, 38},
  Index = 63,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-advanced-worker2",
  Size = {46, 38},
  Index = 64,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-hard-strike",
  Size = {46, 38},
  Index = 65,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-scout-hero",
  Size = {46, 38},
  Index = 66,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-healer-hero",
  Size = {46, 38},
  Index = 67,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-ballistas",
  Size = {46, 38},
  Index = 68,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-transporter",
  Size = {46, 38},
  Index = 69,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-dwarves-transporters",
  Size = {46, 38},
  Index = 70,
  File = "icons/dwarves-icons.png"})
DefineIcon({
  Name = "icon-hrimblid",
  Size = {46, 38},
  Index = 71,
  File = "icons/dwarves-icons.png"})


--Darkness
--===================
DefineIcon({
  Name = "icon-darkness-worker",
  Size = {46, 38},
  Index = 0,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-camp",
  Size = {46, 38},
  Index = 1,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-warrior",
  Size = {46, 38},
  Index = 2,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-farm",
  Size = {46, 38},
  Index = 3,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-garrison",
  Size = {46, 38},
  Index = 4,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-level2",
  Size = {46, 38},
  Index = 5,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-better-swords",
  Size = {46, 38},
  Index = 6,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-blacksmith",
  Size = {46, 38},
  Index = 7,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-better-shields",
  Size = {46, 38},
  Index = 8,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-better-helmets",
  Size = {46, 38},
  Index = 9,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-bowman",
  Size = {46, 38},
  Index = 10,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-bows",
  Size = {46, 38},
  Index = 11,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-spears",
  Size = {46, 38},
  Index = 12,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-spearman",
  Size = {46, 38},
  Index = 13,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-lumber-storage",
  Size = {46, 38},
  Index = 14,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-wolf",
  Size = {46, 38},
  Index = 15,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-catapult",
  Size = {46, 38},
  Index = 16,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-level3",
  Size = {46, 38},
  Index = 17,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-swords",
  Size = {46, 38},
  Index = 18,
  File = "icons/darkness-icons.png"})
DefineIcon({
  Name = "icon-darkness-big-goblin",
  Size = {46, 38},
  Index = 19,
  File = "icons/darkness-icons.png"})



--Commands
--=====================

DefineIcon({
  Name = "icon-move",
  Size = {46, 38},
  Index = 0,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-stop",
  Size = {46, 38},
  Index = 1,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-attack",
  Size = {46, 38},
  Index = 2,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-stand",
  Size = {46, 38},
  Index = 3,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-attack-with-bow",
  Size = {46, 38},
  Index = 4,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-cancel",
  Size = {46, 38},
  Index = 5,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-patrol",
  Size = {46, 38},
  Index = 6,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-repair",
  Size = {46, 38},
  Index = 7,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-build-basic",
  Size = {46, 38},
  Index = 8,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-unload",
  Size = {46, 38},
  Index = 9,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-harvest",
  Size = {46, 38},
  Index = 10,
  File = "icons/commands.png"})
DefineIcon({
  Name = "icon-return-goods",
  Size = {46, 38},
  Index = 11,
  File = "icons/commands.png"})

--Neutal
--==================
DefineIcon({
  Name = "icon-gold-mine",
  Size = {46, 38},
  Index = 0,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-oil-patch",
  Size = {46, 38},
  Index = 1,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-wall",
  Size = {46, 38},
  Index = 2,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-tux",
  Size = {46, 38},
  Index = 3,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-wizard-of-yendor",
  Size = {46, 38},
  Index = 4,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-iron-mine",
  Size = {46, 38},
  Index = 5,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-stone-mine",
  Size = {46, 38},
  Index = 6,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-titanium-mine",
  Size = {46, 38},
  Index = 7,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-kimmo",
  Size = {46, 38},
  Index = 8,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-sardor",
  Size = {46, 38},
  Index = 9,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-stone",
  Size = {46, 38},
  Index = 10,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-whirl",
  Size = {46, 38},
  Index = 11,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-tree",
  Size = {46, 38},
  Index = 12,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-mountain",
  Size = {46, 38},
  Index = 13,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-demogorgon",
  Size = {46, 38},
  Index = 14,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-titanium-dwarf",
  Size = {46, 38},
  Index = 15,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-grumbuduts",
  Size = {46, 38},
  Index = 16,
  File = "icons/neutral-icons.png"})
DefineIcon({
  Name = "icon-mikko",
  Size = {46, 38},
  Index = 17,
  File = "icons/neutral-icons.png"})
